Subject: Re: bug#61613: 30.0.50; ffap-other-window ignores ffap-require-prefix

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Feb 2023 14:51:39 +0200

> Date: Sun, 19 Feb 2023 22:43:26 +0100
> From: Ergus <[email-masked]>
> Cc: [email-masked]
> 
> Looking at the ffap code I think some minor update/cleanup will be
> beneficial any-way.
> 
> Nothing very drastic, for example, isn't more consistent to make
> ffap-bindings a minor mode to allow load and unload? Or use the
> "interactive" in find-file-at-point to simplify the initial conditions
> there and remove the optional? Or update the global-set-key to use the
> new keymap-set thing? Or add autoload decorators to the interactive
> functions?
> 
> WDYT?

It's hard to say without seeing the code you have in mind.  Please
post a patch, and let's take it from there.